if(com.tobwithu.wmn._getBoolPref("captureLink")){
  com.tobwithu.wmn.getSid=function(){
    return getBrowser().selectedTab.getAttribute("wmnsid");
  };  
  com.tobwithu.wmn.onContentAreaClick=function(e){
    switch (e.button){
    case 0:      
      if(e.altKey||e.ctrlKey||e.metaKey||e.shiftKey)return;      
      var sid=com.tobwithu.wmn.getSid();
      if(!sid)return;
      var em=e.target;
      var link=null;
      while(em){
        if((em instanceof HTMLAnchorElement && em.href) ||
                      em instanceof HTMLAreaElement ||
                      em instanceof HTMLLinkElement ||
                      em.getAttributeNS( "http://www.w3.org/1999/xlink", "type") == "simple" ){
          link=em;
          break;
        }
        em=em.parent;
      }
      if(link){
        if(link.target=="_blank"||link.getAttributeNS("http://www.w3.org/1999/xlink", "show")=="new"){        
          var href=link.href;
          if(!href)href=link.getAttributeNS("http://www.w3.org/1999/xlink", "href");
          var newWin=gPrefService.getIntPref("browser.link.open_newwindow")==2;     
          com.tobwithu.wmn.openURL(href,sid,newWin,false);          
          e.preventDefault();
        }
      }
      break;
    }  
  };
  com.tobwithu.wmn.openNewWindowWith=openNewWindowWith;
  openNewWindowWith=function(aURL, aDocument, aPostData, aAllowThirdPartyFixup,aReferrer){  
    var sid=com.tobwithu.wmn.getSid();
    if(!sid)return com.tobwithu.wmn.openNewWindowWith(aURL, aDocument, aPostData, aAllowThirdPartyFixup,aReferrer);
    else{
      return com.tobwithu.wmn.openURL(aURL,sid,true,false);    
    }
  };
  
  openNewTabWith=openNewTabWith;
  openNewTabWith=function(aURL, aDocument, aPostData, aEvent, aAllowThirdPartyFixup,aReferrer){
    var sid=com.tobwithu.wmn.getSid();
    if(!sid)return com.tobwithu.wmn.openNewTabWith(aURL, aDocument, aPostData, aEvent, aAllowThirdPartyFixup,aReferrer);
    else{
      var bg = getBoolPref("browser.tabs.loadInBackground");
      if (aEvent && aEvent.shiftKey)bg = !bg;
      return com.tobwithu.wmn.openURL(aURL,sid,false,bg);    
    }
  };  
  com.tobwithu.wmn.openURL = function(url,sessionId,newWin,bg) {
    var wm = Components.classes['@mozilla.org/appshell/window-mediator;1']
                        .getService(Components.interfaces.nsIWindowMediator);
    var win = wm.getMostRecentWindow("navigator:browser");
    if(newWin){
      win.open("about:blank");
      win = wm.getMostRecentWindow("navigator:browser");
    }  
    var tabbrowser=win.getBrowser();  
    var tab;
    if(newWin){
      tab=tabbrowser.selectedTab;
    }else{
      try{
        tab=tabbrowser.addTab("about:blank",{relatedToCurrent:true});
      }catch(e){
        tab=tabbrowser.addTab("about:blank");  
      }  
    }
    var browser=tabbrowser.getBrowserForTab(tab);
    if(sessionId!=null)tab.setAttribute("wmnsid",sessionId);   
    browser.addProgressListener(com.tobwithu.wmn.nsIWebMailNotifier);    
    if(!bg)tabbrowser.selectedTab = tab;  
    browser.loadURIWithFlags(url);  
    return newWin?win:tab;
  };
  getBrowser().addEventListener("click", com.tobwithu.wmn.onContentAreaClick, false);
}